import bb.cascades 1.2
import bb.system 1.0

Sheet {
    id: settingsSheet    
    Page {        
        Container {       
            
            layout: DockLayout {}
            
            Container {
                
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Top
                
                Header {
                    title: qsTr("Settings")
                }
                
                TextArea {
                    text: qsTr("Not yet available.")
                    textStyle.textAlign: TextAlign.Center
                    editable: false

                }                
                Container {
                    horizontalAlignment: HorizontalAlignment.Fill
                    
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight                        
                    }
                    
                    Button {
                        text: qsTr("SharedWorlds Account") 
                        enabled: false
                        layoutProperties: StackLayoutProperties {
                            spaceQuota: 3
                        }                     
                    }
                    Button {
                        text: qsTr("?")                                    
                        layoutProperties: StackLayoutProperties {
                            spaceQuota: 1
                        }                             
                        onClicked: {
                            dialog.title = qStr("Help")
                            dialog.body = qsTr("SharedWorlds is a free service we provide for enhancing your game experience.  It lets you store saved games online between devices and can bring friends into your games.  It even automatically shares special items and abilities between games - the more ShardWorlds games you play, the more benefits you are awarded!")
                            dialog.show()
                        }                             
                    }
                }
            }
            
            Container {
                
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Bottom             
                
                Button {
                    
                    horizontalAlignment: HorizontalAlignment.Fill    
                    verticalAlignment: VerticalAlignment.Bottom             
                    text: qsTr("Close") + Retranslate.onLocaleOrLanguageChanged

                    onClicked: {
                        onClicked: settingsSheet.close()
                    }                
                }
            }
        }
    }
    attachedObjects: [
        SystemDialog {
            id: dialog
            confirmButton.label: qStr("Ok")
        }
    ]
}
